'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class invoiceitem extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      invoiceitem.belongsTo(models.invoice, { foreignKey: 'inv_id' });
    }
  }
  invoiceitem.init({
    inv_id: DataTypes.STRING,
    description: DataTypes.TEXT,
    total: DataTypes.STRING
  }, {
    sequelize,
    modelName: 'invoiceitem',
  });
  return invoiceitem;
};